Announcement

Collapse
No announcement yet.

Problem upgrading from 3.5.4 to 3.8

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Problem upgrading from 3.5.4 to 3.8

    Hi folks -

    I am preparing my forum so that I can upgrade to 4.0, but I am running into a problem that I hope someone here can help me debug -

    I have created a test instance of my forum database on the same server as my "production" server.

    I have loaded a backup of my forums database, and I have disabled and deleted all plug-ins and additional hacks in my forum prior to the attempt to upgrade. The only add-in that I have is the 3.5.4 security patch.

    I can run my test forum with no problems , but as soon as I upload the "upload" folder of my 3.8 to my test instance I get the following error when I try to view my forums -

    Fatal error: Call to undefined method: vb_database->query_first_slave() in /home/corvette/public_html/cvtest/global.php on line 242

    I can still get to the admin panel, so I go there and disable the forum, and run upgrade.php. I get through the first step, and when I click next, I get the following error message -

    Step 1) Upgrade to vBulletin 3.5.5 Complete!

    Fatal error: Cannot redeclare delete_product() (previously declared in /home/corvette/public_html/cvtest/includes/adminfunctions.php:3195) in /home/corvette/public_html/cvtest/includes/adminfunctions_plugin.php on line 21


    Does anyone have any advice? I am stumped here, and I need to get to 3.8 so that I can purchase and upgrade to 4.0.

    thanks and best regards -

    mqqn

  • #2
    Did you upgrade your license?
    Fatal error: Cannot redeclare delete_product() (previously declared in /home/corvette/public_html/cvtest/includes/adminfunctions.php:3195) in /home/corvette/public_html/cvtest/includes/adminfunctions_plugin.php on line 21
    You need the includes folder because that's got all the important stuff in it. If you have to get rid of a file look in the install folder and delete the install.php file.
    Aussiefootyforums

    New Site New forum
    Come and talk sports all day long


    Comment


    • #3
      Hi schwab2clarkson -

      Thank you for your reply.

      I have deleted all of the files in my test instance and uploaded a fresh 3.5.4 install - that worked to get me running -

      I stopped my test forums in the admincp, and then I ran diagnostics to make sure all the files are clean (they were).

      Then I uploaded the 3.8 version install files, deleted the install.php, then ran the upgrade.php.

      I get a screen that says I am at 3.5.5 and when I click the proceed button, the url increments the step, but nothing happens - and now the forum is not working again - here is the message I receive when I go to the main forum page -

      Fatal error: Call to undefined function: query_first_slave() in /home/user/public_html/test/global.php on line 242

      Any ideas? I have verified that I have uploaded the files correctly (I use ws-ftp pro), and I can upload the clean 3.5.4 software and it runs with my current test database, it is only when I try to run the upgrade that I have problems.

      I appreciate any advice or help.

      best regards -

      mqqn

      Comment


      • #4
        anyone? I could use a little help here.

        I have deleted everything from my web server, uploaded the 3.5.4 package, run the "upgrade" to 3.5.4 just to make sure it is all good - forum runs -

        I upload the "upload" directory for 3.8 - then delete the install.php, then upload my good config - forum runs, says 3.5.4

        I run install.php and it gets to step 2 -

        Fatal error: Cannot redeclare delete_product() (previously declared in /home/sometuff/includes/adminfunctions.php:3195) in /home/sometuff/includes/adminfunctions_plugin.php on line 21

        For the jelsoft people - who I have paid $$ to on a couple of occasions - I will not be able to upgrade to 4.0 (and subsequently pay you any more money) until I get this fixed.

        Thanks and best regards -

        mqqn

        Comment

        widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
        Working...
        X